Subject: devel-digest V2 #160
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Wednesday, May 5 1999          Volume 02 : Number 160

In this issue:

    2.0.36/37 final 2.0 release
    Ethernet problems ...

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Tue, 4 May 1999 23:19:46 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: 2.0.36/37 final 2.0 release

Hi all,

No, this is not a release-mail!

I will, at some point in the near future, be creating the final 2.0 release,
be it 2.0.36 or 2.0.37.  Currently, it has the following fixes/enhancements in:

 * EtherC driver
 * Expansion card interrupt bug fixed (etherh interrupt complaints with icside)
 * Ether3 transmit-side packet queuing more reliable
 * ARM ELF support (thanks to Ralph Siemsen at HCC)
 * Memory management bug fixed (free_page)
 * Memory management enhancements (as a result of the fixing of the above bug)
 * ICS IDE alternative manufacturer number included
 * identical core files produced on 32-bit and 26-bit architectures
 * /proc/kcore identical to core files on all architectures
 * VIDC sound support for wider range of sample types
 * Removal of PTRACE_[SG]ETREGS, PTRACE_[SG]ETFPREGS

There are a few things pending (but I'm not sure when these'll be fixed):

 * Ether1 driver requires more stability (and is probably currently broken)
 * Partition support requires a revisit to ensure that it is up to date

If there are any other fixes that need to go in, let me know ASAP, so they can
be planned for.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Wed, 5 May 1999 11:14:21 +0730 (SST)
From: [email-masked]
Subject: Ethernet problems ...

Hi all

After upgrading my netwinder to the RawHide distro from
Carleton, I seem to be having the following problem.  Although
the network driver seems to be working fine, in that, I can
ping, telnet and ftp (to some extent) fine, whenever I try to
ftp something *huge*, somehow the kernel panics and the whole
machine comes to a halt. The only relief then is to plug-out 
the power cord and plug it in again.

The observation is that it will generally ftp correctly 
datasizes of around 10-11 MB at one go.  However, if you
try to do the same thing, that is download huge (100+ MB)
data by issuing separate transfer commands for every single
file, it seems to be working fine. 

BTW, this is the tulips 10/100 card.

Has anybody faced this before ?

- -Amlan.

- -- 
Amlan Saha					  [email-masked]
Mobile Computing and Protocols Group  
Center for Wireless Comms, 20 Science Park Rd, Singapore 117674
+65.8709.267 (Tel) +65.779.5441 (Fax)   **I speak only for myself**

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #160
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.